<template>
  <div>
    <div
      class="
    grid grid-cols-2 bg-white rounded-lg border border-grey-darker
    text-base overflow-hidden
"
    >
    <span
      class="button border-r border-grey-darker"
      @click="handleClick(firstValue)"
      :class="{selected: value === firstValue}"
    >
      Male
    </span>
      <span
        class="button"
        @click="handleClick(secondValue)"
        :class="{selected: value === secondValue}"
      >
      Female
    </span>
    </div>
    <span class="input-error-msg" v-if="errorMessage">
      {{ errorMessage }}
    </span>
  </div>

</template>

<script>
export default {
  name: "TwoSideInput",
  props: {
    firstValue: String,
    secondValue: String,
    value: String,
    errorMessage: String,
  },
  methods: {
    handleClick(value) {
      if (this.value !== value) {
        this.$emit('input', value)
      }
    }
  }
}
</script>

<style scoped>
.button {
  @apply flex justify-center items-center p-5 cursor-pointer active:bg-grey-light
}

.selected {
  @apply bg-green text-black active:bg-green
}
</style>
